Google AnalyticsのAPI仕様変わった?

| | トラックバック(0)

なんか自前で作って使ってたGoogle AnalyticsのMTプラグインが動かなくなっちゃって・・・。

おそらくGoogle AnalyticsのAPIが変わったのだと思われます。

ちらっとリファレンスを読んだけどよくわからない・・・。
勘だけど、OAuth認証になって認証ができなくなったってことか?

というかよく考えたらGoogleAnalyticsWidgetは
GoogleのIDとパスワードを入力させてその情報をもとに
LWPでHTTPアクセスして、xmlを取得して
パースして、再構成して、解析データを表示しているので、
そのLWPエージェントが弾かれるようになった可能性が高い。

てか、セキュリティ的によろしくないやりかただよね。
いまさらながら。

時間があったら直します。


comments powered by Disqus

トラックバック(0)

このブログ記事を参照しているブログ一覧: Google AnalyticsのAPI仕様変わった?

このブログ記事に対するトラックバックURL: http://nozawashinichi.sakura.ne.jp/MT-4.25/mt-tb.cgi/1036

comments powered by Disqus

このブログ記事について

このページは、Shinichi Nozawaが2012年8月29日 09:06に書いたブログ記事です。

ひとつ前のブログ記事は「Spreadsheet::ParseExcel でメモリを節約する」です。

次のブログ記事は「ブログ名を Using Perl に変えました。」です。

最近のコンテンツはインデックスページで見られます。過去に書かれたものはアーカイブのページで見られます。